日程設定取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"duration": 123,
"duration_before": 123,
"duration_after": 123,
"reserve_quota_interval": 123,
"capacity": 123,
"member_join_type": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>"
}
],
"member_auto_assignment": true,
"member_assignment_type": "<string>",
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_display_type": "<string>",
"calendar_auto_from": 123,
"calendar_auto_days": 123,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 123,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
}{
"error": {
"code": "invalid_event_type",
"message": "セミナー・説明会タイプのイベントにはカレンダー設定がありません"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}日程設定
日程設定取得
個別相談・個別予約タイプのイベントの日程設定(画面の「日程設定」)を取得します。セミナー・説明会タイプのイベントでは 400(invalid_event_type)になります。
基本設定(所要時間・開催前後の確保時間・予約枠の間隔・定員)、担当者設定(参加方式・担当者・自動割り当て・割り当て順・優先順位・申込時のプロフィール表示)、Zoom連携 / Google Meet連携、日程設定(開催する曜日・時間帯、特定日の開催設定、祝日の開催、日程の表示期間、予約締切)を返します。
membersは削除済の担当者を除きます。member_prioritiesは参加方式が「担当者を提示し1名が参加」で割り当て順が「優先順位を指定」のときだけ返しますspecified_date_schedulesは本日以降の設定だけを返しますmember_join_type/calendar_display_type/use_zoom/use_holidayは未設定のとき null を返します(画面では既定値で表示されますが、APIでは補完しません)。PATCH /events/{project_id}/calendarで値を設定できます- 担当者固有の日程設定(
GET /event-members/{member_id})は含まれません
日程設定取得
curl --request GET \
--url https://api.utage-system.com/v1/events/{project_id}/calendar \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/calendar"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/events/{project_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/calendar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.utage-system.com/v1/events/{project_id}/calendar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"duration": 123,
"duration_before": 123,
"duration_after": 123,
"reserve_quota_interval": 123,
"capacity": 123,
"member_join_type": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>"
}
],
"member_auto_assignment": true,
"member_assignment_type": "<string>",
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_display_type": "<string>",
"calendar_auto_from": 123,
"calendar_auto_days": 123,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 123,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
}{
"error": {
"code": "invalid_event_type",
"message": "セミナー・説明会タイプのイベントにはカレンダー設定がありません"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}